curl -X PUT https://zeplo.ai/api/contacts/5 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "name": "John Doe Jr.", "tags": ["customer", "premium"] }'
{
"success": true,
"data": {
"id": 5,
"name": "John Doe Jr.",
"phone": "919876543210",
"email": "john@example.com",
"tags": ["customer", "premium"],
"updatedAt": "2026-01-15T14:00:00Z"
}
}
Contacts
PUT Update Contact
Update an existing contact’s details.
PUT
/
api
/
contacts
/
:id
curl -X PUT https://zeplo.ai/api/contacts/5 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "name": "John Doe Jr.", "tags": ["customer", "premium"] }'
{
"success": true,
"data": {
"id": 5,
"name": "John Doe Jr.",
"phone": "919876543210",
"email": "john@example.com",
"tags": ["customer", "premium"],
"updatedAt": "2026-01-15T14:00:00Z"
}
}
Update Contact
PUT /api/contacts/:id
Update a contact’s name, email, tags, or metadata.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl -X PUT https://zeplo.ai/api/contacts/5 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "name": "John Doe Jr.", "tags": ["customer", "premium"] }'
Path parameters
integer
required
Contact ID.
Request body
string
Updated name.
string
Updated email.
string[]
Updated tags.
object
Updated metadata.
{
"success": true,
"data": {
"id": 5,
"name": "John Doe Jr.",
"phone": "919876543210",
"email": "john@example.com",
"tags": ["customer", "premium"],
"updatedAt": "2026-01-15T14:00:00Z"
}
}
